(linux) qgis crashes when saving project with a GRASS raster

2010-05-21 01:19 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12801

Description

Probably duplicate of #2740

Seen under ubuntu Linux and qgis trunk but not under windows XP

Steps to reproduce:

*) create a mapset (tested with a few projected crs)

*) in the qgis project properties choose the same crs. Not necessary to enable on the fly reprojection as in #2740

*) add a few GRASS layers, at least one of them a raster

*) if you save the project with the mapset still open the terminal will return

Warning: Object::connect: No such signal [[QgsRasterDataProvider]]::statusChanged( QString ) in

/home/gio/qgis_unstable/src/core/raster/qgsrasterlayer.cpp:228

*) if before saving you close the GRASS mapset, then qgis will crash with

    GDAL Error 6: No translation an empty SRS to PROJ.4 format is known.

Segmentation fault

*) if you then try to reopen the project it will fail with

Project file read error: unexpected end of file at line 1 column 1 for file /home/gio/Desktop/teste4.qgs

History

#1 - 2010-05-21 01:25 PM - Giovanni Manghi

After all it doesn't seems to be related if you close or not the mapset.

When you save it doesn't crash only during the session where the project was created and saved the first time.
When you close qgis, then reopen the project it will crash on save even with the mapset open. The message is the same.

It is confirmed that is not necessary to have enabled the reprojection.

#2 - 2010-06-08 11:59 PM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Apparently this bug is gone in recent revisions.
